Skip to main content
GET
/
on-chain
/
history
Get on-chain history
curl --request GET \
  --url https://api.mnemom.ai/v1/on-chain/history \
  --header 'Authorization: Bearer <token>'
{
  "anchors": [
    {
      "anchor_id": "<string>",
      "merkle_root": "<string>",
      "tx_hash": "<string>",
      "block_number": 123,
      "gas_used": 123,
      "chain": "ethereum",
      "agent_ids": [
        "<string>"
      ],
      "anchored_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Query Parameters

chain
enum<string>

Filter by blockchain network

Available options:
ethereum,
polygon,
base
agent_id
string

Filter anchors that include this agent

from
string<date-time>

Start of time range

to
string<date-time>

End of time range

limit
integer
default:20

Maximum number of records to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of records to skip for pagination

Required range: x >= 0

Response

On-chain anchoring history

anchors
object[]
total
integer